
# Metarace : Cycle Race Abstractions
# Copyright (C) 2012  Nathan Fraser
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from distutils.core import setup

import sys
assert sys.version >= '2.6', "Missing pre-requisite: python >= 2.6"

try:
    import irclib
except:
    print("WARNING: Missing irclib - uscbsrv will not function.")
    pass

setup(name = 'metarace',
      version = '1.5.0',
      description = 'Cycle race abstractions',
      author = 'Nathan Fraser',
      author_email = 'ndf@metarace.com.au',
      url = 'http://scbdo.sourceforge.net/',
      packages = ['metarace'],
      package_dir={'metarace': 'lib'},
      package_data={'metarace': ['ui/*']},
      requires = ['pygtk', 'gtk', 'glib', 'MySQLdb', 'xlwt', 'serial', 'rsvg',
                  'cairo', 'pango', 'pangocairo'],
      provides = ['metarace'],
      scripts = ['bin/update_namebank',
                 'bin/trackmeet', 'bin/roadrace', 'bin/roadtt',
                 'bin/text_scb', 'bin/road_dline',
                 'bin/track_announce', 'bin/road_announce',
                 'bin/irtt_announce', 'bin/irtt_start', 'bin/stagebuild',
                 'bin/testprint', 'bin/lapscore'],
      classifiers = ['Development Status :: 4 - Beta',
              'Environment :: X11 Applications :: GTK',
              'Intended Audience :: Other Audience',
              'License :: OSI Approved :: GNU General Public License (GPL)',
              'Natural Language :: English',
              'Operating System :: OS Independent',
              'Programming Language :: Python :: 2.6',
              'Topic :: Other/Nonlisted Topic' ],
      license = 'GNU GPL Version 3',
      long_description = """
A collection of utilities that support timing and result preparation
for track and road cycle races.
"""
)
